Skip to content

API for AWS Transfer Family

ABAP Package /AWS1/API_TRN
ABAP SDK "TLA" TRN
ABAP Interface /AWS1/IF_TRN

The "TLA" is a Three Letter Abbreviation that appears in ABAP class names, data dictionary objects and other ABAP objects throughout the AWS SDK for SAP ABAP. The TLA for AWS Transfer Family is TRN. This TLA helps squeeze ABAP objects into the 30-character length limit of the ABAP data dictionary.

Installation

To install the AWS SDK for SAP ABAP, import the Core transport, along with the transport for the Transfer module and other API modules you are interested in. A few modules are included in the Core transport itself. For more information, see the Developer Guide guide.

About The Service

Transfer Family offers fully managed support for the transfer of files over SFTP, AS2, FTPS, FTP, and web browser-based transfers directly into and out of Amazon Web Services storage services.

File transfer protocols are used in data exchange workflows across different industries such as financial services, healthcare, advertising, and retail, among others. Transfer Family simplifies the migration of file transfer workflows to Amazon Web Services.

To use the Transfer Family service, you instantiate a server in the Amazon Web Services Region of your choice. You can create the server, list available servers, and update and delete servers. The server is the entity that requests file operations from Transfer Family. Servers have a number of important properties. The server is a named instance as identified by a system assigned ServerId identifier. You can optionally assign a hostname, or even a custom hostname to a server. The service bills for any instantiated servers (even ones OFFLINE), and for the amount of data transferred.

Users must be known to the server that requests file operations. A user as identified by their username is assigned to a server. Usernames are used to authenticate requests. A server can have only one authentication method: AWS_DIRECTORY_SERVICE, SERVICE_MANAGED, AWS_LAMBDA, or API_GATEWAY.

Transfer Family also supports web applications that provide browser-based file transfer capabilities. Web applications can be configured with VPC endpoints to enable secure, private connectivity within your Virtual Private Cloud (VPC). This allows you to control network access and route traffic through your VPC infrastructure while maintaining the managed benefits of Transfer Family.

This API interface reference for Transfer Family contains documentation for a programming interface that you can use to manage Transfer Family. The reference structure is as follows:

  • For the alphabetical list of API actions, see .

  • For the alphabetical list of data types, see .

  • For a list of common query parameters, see CommonParameters.

  • For descriptions of the error codes, see CommonErrors.

Rather than actually running a command, you can use the --generate-cli-skeleton parameter with any API call to generate and display a parameter template. You can then use the generated template to customize and use as input on a later command. For details, see Generate and use a parameter skeleton file.

Using the SDK

In your code, create a client using the SDK module for AWS Transfer Family, which is created with factory method /AWS1/CL_TRN_FACTORY=>create(). In this example we will assume you have configured an SDK profile in transaction /AWS1/IMG called ZFINANCE.

DATA(go_session)   = /aws1/cl_rt_session_aws=>create( 'ZFINANCE' ).
DATA(go_trn)       = /aws1/cl_trn_factory=>create( go_session ).

Your variable go_trn is an instance of /AWS1/IF_TRN, and all of the operations in the AWS Transfer Family service are accessed by calling methods in /AWS1/IF_TRN.

API Operations

For an overview of ABAP method calls corresponding to API operations in AWS Transfer Family, see the Operation List.

Factory Method

/AWS1/CL_TRN_FACTORY=>create( )

Creates an object of type /AWS1/IF_TRN.

IMPORTING

Optional arguments:

iv_protocol TYPE /aws1/rt_protocol /AWS1/RT_PROTOCOL

io_session TYPE REF TO /aws1/cl_rt_session_base /AWS1/CL_RT_SESSION_BASE

iv_region TYPE /aws1/rt_region_id /AWS1/RT_REGION_ID

iv_custom_endpoint TYPE /aws1/rt_endpoint /AWS1/RT_ENDPOINT

RETURNING

oo_client TYPE REF TO /aws1/if_trn /AWS1/IF_TRN

/AWS1/IF_TRN represents the ABAP client for the Transfer service, representing each operation as a method call. For more information see the API Page page.

Configuring Programmatically

DATA(lo_config) = DATA(go_trn)->get_config( ).

lo_config is a variable of type /AWS1/CL_TRN_CONFIG. See the documentation for /AWS1/CL_TRN_CONFIG for details on the settings that can be configured.

Waiters

Waiters for Implementation can be accessed via get_waiter() method followed by the waiter method to be called.

Details about the waiter methods available for service Implementation can be found in interface /AWS1/IF_TRN_WAITER.

Paginators

Paginators for AWS Transfer Family can be created via get_paginator() which returns a paginator object of type /AWS1/IF_TRN_PAGINATOR. The operation method that is being paginated is called using the paginator object, which accepts any necessary parameters to provide to the underlying API operation. This returns an iterator object which can be used to iterate over paginated results using has_next() and get_next() methods.

Details about the paginator methods available for service AWS Transfer Family can be found in interface /AWS1/IF_TRN_PAGINATOR.